package edu.stanford.nlp.dbm;
import java.util.*;

/**
 * Interface for Objects that can be described by their features.
 *

 *
@author Sepandar Kamvar (sdkamvar@stanford.edu)
 */

public abstract interface Featurizable {
 
  /**
   * returns Object as a Collection of its features
   */
  public abstract Collection asFeatures();

}
