package edu.stanford.nlp.util;

import java.util.*;

/**
 *  Scored Pair:  Class for holding a scored pair of objects
 *
 *  @author Dan Klein
 *  @version 2/7/01
 */
public class ScoredPair extends Pair implements Scored {
  public double score;
  public double score() {return score;}
  public void setScore(double score) {this.score=score;}
  
  public ScoredPair() {first = null; second = null; score=0;}
  public ScoredPair(Object first, Object second, double score) {
    this.first = first;
    this.second = second;
    this.score = score;
  }
  
  public String toString() {
    return "("+first+","+second+") %% "+score;
  }
  
}
