package edu.stanford.nlp.dbm;

import java.util.*;

/**
 * Basically, this is a list of Sentences.
 */
public class SentenceDocument extends ArrayList implements Document {

    public Object label() {
	return null;
    }

    public Collection labels() {
	return null;
    }

    /**
     * Returns <tt>this</tt> (the features are the list of words).
     */
    public Collection asFeatures() { return(this); }

    /** title of this document (never null). */
    protected String title="";

    public String title() {
	return title;
    }

    public void setTitle(String title) {
	this.title = title;
	
    }

    public Document blankDocument()
    {
        SentenceDocument sd;

        // tries to instantiate by reflection, settles for direct instantiation
        try { sd=(SentenceDocument)getClass().newInstance(); }
        catch(Exception e) { sd=new SentenceDocument(); }

        // copies over basic meta-data
        sd.setTitle(title());

        return sd;
    }

}
