package edu.stanford.nlp.process;

import java.util.*;

/** @author Dan Klein */

public interface Appliable {

    /** 
		 * Converts an Object to a different Object.  For example, a Parser
		 * will convert a Sentence to a Tree.  A Tagger will convert a Sentence
		 * to a TaggedSentence.  
     */

    public Object apply(Object in);

}
