package edu.stanford.nlp.process;

import java.util.*;
import java.io.*;
import edu.stanford.nlp.trees.*;


%%

%class DummyLexer
%standalone
%unicode
%function next
%type Word



SPACE = [ \t\r\n\u2028\u2029\u000B\u000C\u0085]
SPACES = {SPACE}+
TEXT = [^ \t\r\n\u2028\u2029\u000B\u000C\u0085]+

%%

{SPACES} {}
{TEXT}   {return new Word(yytext()); }
.		{ System.err.println(yytext()); }
<<EOF>> {return null;}
