package edu.stanford.nlp.process;

import edu.stanford.nlp.trees.Sentence;
import edu.stanford.nlp.trees.Tree;

/**
 * Appliable that turns a Tree into its Sentence yield.
 * This is essentially flattening out the tree structure.
 *
 * @author Joseph Smarr (jsmarr@stanford.edu)
 */
public class TreeToSentenceAppliable implements Appliable
{
    /** Returns the Sentence yield of the given Tree. */
    public Object apply(Object tree)
    {
        return(((Tree)tree).yield());
    }
}

