package edu.stanford.nlp.util;

/**
 *  Agenda: an interface for representing an Agenda (a list of things to 
 *  be done).
 *
 *  @author Dan Klein
 *  @version 12/4/00
 */
public interface Agenda {
  void add(Object o);
  Object next();
  boolean hasNext();
}
