package edu.stanford.nlp.util;

import java.util.*;

/** StackAgenda
 *  @author Dan Klein
 */
public final class StackAgenda implements Agenda {
  private List list;

  public StackAgenda() {
    list = new ArrayList();
  }

  public void add(Object o) {
    list.add(o);
  }

  public boolean hasNext() {
    return !list.isEmpty();
  }

  public Object next() {
    int top = list.size() - 1;
    if(top >= 0) {
      Object nextVal = list.get(top);
      list.remove(top);
      return nextVal;
    }
    throw new java.util.NoSuchElementException();
  }

}
